Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.util
Class ArrayVector

`java.lang.Object
oracle.security.crypto.util.ArrayVector`

public class ArrayVector
extends java.lang.Object

An array-based vector class. Unlike `java.util.Vector`, the accessor methods of this class are not synchronized.

Field Summary
`protected int` | `count`
`protected java.lang.Object[]` | `elements`
`protected static int` | `GROWTH_FACTOR`
`protected static int` | `INITIAL_SIZE`

Constructor Summary
`ArrayVector()`
`ArrayVector(int initialSize)`
`ArrayVector(java.lang.Object[] elements)`

Method Summary
`void` | `addElement(java.lang.Object o)`
`void` | `addElementAt(java.lang.Object o, int index)`
`void` | `clear()`
`java.lang.Object` | `elementAt(int index)`
`java.lang.Object[]` | `getElements()`
`void` | `getElements(java.lang.Object[] res)`
`void` | `setElementAt(java.lang.Object o, int index)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_SIZE

    protected static final int INITIAL_SIZE

  See Also:
    Constant Field Values

### GROWTH_FACTOR

    protected static final int GROWTH_FACTOR

  See Also:
    Constant Field Values

### elements

    protected java.lang.Object[] elements

### count

    protected int count

Constructor Detail

### ArrayVector

    public ArrayVector()

### ArrayVector

    public ArrayVector(int initialSize)

### ArrayVector

    public ArrayVector(java.lang.Object[] elements)

Method Detail

### addElement

    public void addElement(java.lang.Object o)

### addElementAt

    public void addElementAt(java.lang.Object o,
                             int index)

### setElementAt

    public void setElementAt(java.lang.Object o,
                             int index)

### elementAt

    public java.lang.Object elementAt(int index)

### getElements

    public java.lang.Object[] getElements()

### getElements

    public void getElements(java.lang.Object[] res)

### size

    public int size()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.